Function
createIntervalTree
Create an interval tree.
createIntervalTree(intervalTree, intervals [, tag])
createIntervalTree(g, pm, intervals [, tag])
createIntervalTree(g, pm, intervals, center [, tag]])
Include Headers
seqan/misc/misc_interval_tree.h
Parameters

intervalTree | An interval tree Types: IntervalTree
g | DirectedGraph to create interval tree in. Types: Graph
pm | Property map to use for the created interval tree.
intervals | Container of intervals. Types: Alloc String Remarks: A string of IntervalAndCargo<TValue, TCargo> objects, see IntervalAndCargo.
tag | Tag for tree construction method; ComputeCenter Default: ComputeCenter

Remarks
center of root node is computed by _calcIntervalTreeRootCenter
Member of
IntervalTree
Example Programs
Interval Tree
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58